﻿namespace BPA.SaaS.Stock.Api.DTO.Basic.Dict
{
    /// <summary>
    /// 字典信息Dto
    /// </summary>
    public  class DictDataDto
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 数据字典类型编号
        /// </summary>
        public string TypeId { get; set; }
        /// <summary>
        /// 数据字典值
        /// </summary>
        public string Value { get; set; }
        /// <summary>
        /// 数据字典编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 企业编号
        /// </summary>
        public Guid CompanyId { get; set; }
    }
}
