﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityHelper
{
    /// <summary>
    /// 活动对外显示的dto
    /// </summary>
  public  class ActivityInfoShowOutDto
    {
        /// <summary> 
        ///  
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        /// 活动名称 
        /// </summary> 
        public string ActivityName { get; set; }
        /// <summary> 
        /// 活动图片 
        /// </summary> 
        public string ActivityImg { get; set; }
        /// <summary> 
        /// 活动备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary> 
        /// 活动类型1.送券 
        /// </summary> 
        public int ActivityType { get; set; }
        /// <summary> 
        /// 活动开始时间 
        /// </summary> 
        public DateTime ActivityStartTime { get; set; }
        /// <summary> 
        /// 活动结束时间 
        /// </summary> 
        public DateTime ActivityEndTime { get; set; }
        /// <summary> 
        /// 活动规则说明 
        /// </summary> 
        public string ActivityRule { get; set; }

        public List<string> ActivityRuleList 
        {

            get {

                if (!string.IsNullOrWhiteSpace(ActivityRule))
                {
                    return ActivityRule.Split(";").ToList();
                }
                else
                {
                    return new List<string>();
                }
            
            }
        }
    }
}
