﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityHelper
{
    public class FoodArrayDto
    {
        /// <summary>
        /// 
        /// </summary>
        public List<FoodTypeList> foodTypes { get; set; }
    }

    /// <summary>
    /// 商品菜品分类
    /// </summary>
    public class AddtoFoodList
    {
        public string id { get; set; }
        /// <summary>
        /// 图标
        /// </summary>
        public string coverUrl { get; set; }
        /// <summary>
        /// 分类名称~
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int sort { get; set; } = 0;
        /// <summary>
        /// 
        /// </summary>
        public List<FoodList> foods { get; set; }
    }

    public class FoodList
    {
        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }
        /// <summary>
        /// 图标
        /// </summary>
        public string cover { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 会员价
        /// </summary>
        public decimal vipPrice { get; set; }
        /// <summary>
        /// 原价
        /// </summary>
        public decimal Price { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int state { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string company { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int sort { get; set; } = 0;
        /// <summary>
        /// 加购商品
        /// </summary>
        public List<AddtoFoodList> addtoFoodList { get; set; }
    }
    /// <summary>
    /// 商品菜品分类
    /// </summary>
    public class FoodTypeList
    {
        public string id { get; set; }
        /// <summary>
        /// 图标
        /// </summary>
        public string coverUrl { get; set; }
        /// <summary>
        /// 分类名称~
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int sort { get; set; } = 0;
        /// <summary>
        /// 
        /// </summary>
        public List<FoodList> foods { get; set; }
    }

}
