﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityHelper
{
  /// <summary>
  /// 
  /// </summary>
  public  class ParticipationActivitiesInputDto
    {

      /// <summary>
      /// 
      /// </summary>
      public  string ActivitieId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string MemberInfoId { get; set; }


        /// <summary>
        /// 参与活动值(参与活动时附加的参数)
        /// </summary>
        public Parameter Parameter { get; set; }

        /// <summary>
        /// 7：商城兑换
        /// </summary>
        public int Type  { get; set; }=6;

        /// <summary>
        /// 是否参加(否只计算不参与)
        /// </summary>
        public bool IsParticipate { get; set; }
    }

  /// <summary>
  /// 
  /// </summary>
  public class Parameter
  {
      
      /// <summary>
      /// 商品Id
      /// </summary>
      public  List<string> GoodsId { get; set; }



      /// <summary>
      /// 商品Id
      /// </summary>
       public string StoreId { get; set; }


        /// <summary>
        /// 
        /// </summary>
        public string Stage { get; set; }

        /// <summary>
        /// 总价
        /// </summary>
        public decimal TotalPrice { get; set; }
  }
}
