﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityInfo
{
  public  class ActivityInfoOutDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 活动名称
        /// </summary>
        public string ActivityName { get; set; }
        /// <summary>
        /// 活动图片
        /// </summary>
        public string ActivityImg { get; set; }
        /// <summary>
        /// 活动备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 活动类型（送卷/现金）
        /// </summary>
        public int ActivityType { get; set; }
        /// <summary>
        /// 活动开始时间
        /// </summary>
        public DateTime ActivityStartTime { get; set; }
        /// <summary>
        /// 活动结束时间
        /// </summary>
        public DateTime ActivityEndTime { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; }

        /// <summary>
        /// 规则
        /// </summary>
        public string ActivityRule { get; set; }


        public int Status { get; set; }
        /// <summary> 
        /// 客户端页面是否显示 
        /// </summary> 
        public int isShow { get; set; }
        /// <summary> 
        /// 是否自动发送(后台发送) 
        /// </summary> 
        public int isAutoSend { get; set; }
        /// <summary> 
        /// 发送数量 
        /// </summary> 
        public int SendNum { get; set; }

    }
}
