﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityInfo
{
    /// <summary>
    /// ActivityParticipationRecordQueryDto
    /// </summary>
    public class ActivityParticipationRecordQueryDto : PageInputBase
    {
        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 客户编号
        /// </summary>
        public string Customer_Id { get; set; }
        /// <summary>
        /// 客户名称
        /// </summary>
        public string CustomerName { get; set; }
        /// <summary>
        /// 活动编号
        /// </summary>
        public string Activity_Id { get; set; }
        /// <summary>
        /// 活动名称
        /// </summary>
        public string ActivityName { get; set; }
        /// <summary>
        /// 会员电话
        /// </summary>
        public string TelePhone { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 创建者
        /// </summary>
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }
    }
}
