﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Finance
{
   public class FinanceDetailDto
    {
        /// <summary>
        /// 店铺编号
        /// </summary>
        public string StoreId { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 店铺分类编号
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 店铺分类名称
        /// </summary>
        public string StoreTypeName { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 订单类型
        /// </summary>
        public string OrderType { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderNumber { get; set; }
        /// <summary>
        /// 流水金额
        /// </summary>
        public decimal OrderOriginalMoney { get; set; }
        /// <summary>
        /// 优惠金额
        /// </summary>
        public decimal DiscountMoney { get; set; }
        /// <summary>
        /// 顾客实付
        /// </summary>
        public decimal OrderRealMoney { get; set; }
        /// <summary>
        /// 平台费用
        /// </summary>
        public decimal BusinessPrice { get; set; }
        /// <summary>
        /// 退款金额
        /// </summary>
        public decimal RefundMoney { get; set; }
        /// <summary>
        /// 结算金额
        /// </summary>
        public decimal SettlementMoney { get; set; }

        /// <summary>
        /// 订单创建时间
        /// </summary>
        public string CreatedAt { get; set; }
        /// <summary>
        /// 预计分账日期
        /// </summary>
        public string SplittingDate { get; set; }
        /// <summary>
        /// 预计分账金额
        /// </summary>
        public decimal SplittingMoney { get; set; }
    }
}
