﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Finance
{
    public class FinanceReportDto
    {
        /// <summary>
        /// 店铺分类
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 店铺分类名称
        /// </summary>
        public string StoreTypeName { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreId { get; set; }

        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 结算金额
        /// </summary>
        public decimal SettlementMoney { get; set; }
        /// <summary>
        /// 流水金额
        /// </summary>
        public decimal OrderOriginalMoney { get; set; }
        /// <summary>
        /// 优惠金额
        /// </summary>
        public decimal DiscountMoney { get; set; }
        /// <summary>
        /// 顾客实付
        /// </summary>
        public decimal OrderRealMoney { get; set; }
        /// <summary>
        /// 退款金额
        /// </summary>
        public decimal RefundMoney { get; set; }
        /// <summary>
        /// 分账金额
        /// </summary>
        public int BusinessPrice { get; set; }

        /// <summary>
        /// 订单开始时间
        /// </summary>
        public string CreatedAt { get; set; }
        /// <summary>
        /// 订单结束时间
        /// </summary>
        public string  EndTime { get; set; }
        /// <summary>
        /// 预计分账比例
        /// </summary>
        public Decimal ServiceFee { get; set; }
    }
}
