﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Device
{
    public class DeviceInfoBaseDto
    {
        public string Id { get; set; }
        /// <summary> 
        ///  设备名称
        /// </summary> 
        public string DeviceName { get; set; }
        /// <summary> 
        ///  设备地址
        /// </summary> 
        public string DeviceAddr { get; set; }
        /// <summary> 
        ///  设备经纬度
        /// </summary> 
        public string DeviceLoc { get; set; }
        /// <summary> 
        ///  设备分类
        /// </summary> 
        public string DeviceTypeId { get; set; }
        /// <summary>
        /// 所属机构
        /// </summary>
        public string OrgId { get; set; }
        /// <summary>
        /// 设备类型 mocks
        /// </summary>
        public string DeviceTypeKey { get; set; }
        public EnumCommonStatus Status { get; set; } = EnumCommonStatus.ENABLE;
        /// <summary>
        /// 是否校验库存
        /// </summary>
        public bool CheckStock { get; set; } = false;
    }
}
