﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.FrachiseeStockAdjust
{
    /// <summary>
    /// 
    /// </summary>
    public class StockAdjustQuery : PageInputBase
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
        /// <summary> 
        /// 店铺 
        /// </summary> 
        public string Store_Id { get; set; }
        /// <summary> 
        /// 物料 
        /// </summary> 
        public string Batching_Id { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string Batching_Name { get; set; }
        /// <summary> 
        /// 物料数量 
        /// </summary> 
        public int Batching_Count { get; set; }
        /// <summary> 
        /// 库存位置 
        /// </summary> 
        public string Batching_Loc { get; set; }

        /// <summary>
        /// 是否同步
        /// </summary>
        public int Synchronize { get; set; }

        /// <summary>
        /// 之前数量
        /// </summary>
        public int BeforeNum { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
    }
}
