﻿using System.ComponentModel.DataAnnotations;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.GoodsBom
{
    /// <summary>
    /// 商品原料清单bom
    /// </summary>
    public class GoodsBomDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 商品主键
        /// </summary>
        [Required]
        public string GoodsId { get; set; }
        /// <summary>
        /// 商品物料编码
        /// </summary>
        [Required]
        public string StockGoodsCode { get; set; }
        ///// <summary>
        ///// 配料类型编码
        ///// </summary>           
        //[Required]
        //public string BatchingType { get; set; }
        ///// <summary>
        ///// 配料类型名称
        ///// </summary>           
     
        //public string BatchingTypeName { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }

        public bool isReplace { get; set; }

        public bool IsMain { get; set; }
        public decimal BomQty { get; set; }

    }
}
