﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.GoodsBom
{
    public class GoodsBomQuery : PageInputBase
    {
        /// <summary>
        /// Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 商品主键
        /// </summary>
        public string GoodsId { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string StockGoodsCode { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>

        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }
        /// <summary>
        /// 创建人
        /// </summary>
        public string CreateBy { get; set; }
        /// <summary>
        /// 更新人
        /// </summary>
        public string UpdateBy { get; set; }
        /// <summary>
        /// 配料类型编码
        /// </summary>           
        public int BatchingType { get; set; }
        /// <summary>
        /// 配料类型名称
        /// </summary>           

        public string BatchingTypeName { get; set; }

        public string IsMain { get; set; }
    }
}
