﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.GoodsType
{
    /// <summary>
    /// 商品类型查询dto
    /// </summary>
    public class GoodsTypeQueryDto : PageInputBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string GoodsType_Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }
    }
    /// <summary>
    /// 商品类型查询dto
    /// </summary>
    public class BigGoodsTypeQueryDto : PageInputBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string name { get; set; }
    }
}
