﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Printer
{
  public  class PrintTemplateExternalInputDto
    {
        public string StoreId { get; set; }

        /// <summary>
        /// 店铺桌面码
        /// </summary>
        public int StoreDesktopNumber { get; set; }

        /// <summary>
        /// 流水号
        /// </summary>
        public string SerialNumber { get; set; }

        /// <summary>
        /// 实付价格
        /// </summary>
        public decimal ActualPrice { get; set; }

        /// <summary>
        /// 优惠金额
        /// </summary>
        public decimal DiscountPrice { get; set; }

        public string OrderNumber { get; set; }

        public string Remarks { get; set; }

        public List<PrintGoodInfoInputDto> PrintGoodInfos { get; set; }
    }

  public class PrintGoodInfoInputDto
  {
       public string GoodId { get; set; }

       public string GoodName { get; set; }

       public decimal Price { get; set; }

      public decimal Quantity { get; set; }

    }
}
