﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Activity
{
    /// <summary>
    /// 活动配置表
    /// </summary>
    [SugarTable("BPA_ActivityConfiguration")]
    public class BPA_ActivityConfiguration :BaseEntity
    {
       public string Id { get; set; }
        /// <summary> 
        /// 配置名称 
        /// </summary> 
        public string ConfigurationName { get; set; }
        /// <summary> 
        /// 规则
        /// </summary> 
        public string ConfigurationRule { get; set; }
        /// <summary> 
        ///值的类型 
        /// </summary> 
        public int ValueType { get; set; }
        /// <summary> 
        /// 值得数量 
        /// </summary> 
        public int ConfigurationValueCount { get; set; }
    }
}
