﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Activity
{
    /// <summary>
    /// 活动配置表和活动信息关联表
    /// </summary>
    [SugarTable("BPA_ActivityConfigurationInfo")]
    public class BPA_ActivityConfigurationInfo : BaseGroupIdEntity
    {
        /// <summary>
        /// 活动编号
        /// </summary>
        public string Activity_Id { get; set; }
        /// <summary>
        /// 活动配置编号
        /// </summary>
        public string Configuration_Id { get; set; }

        public  string Value1 { get; set; }

        public string Value2 { get; set; }

        /// <summary>
        /// 操作符
        /// </summary>
        public string Operator { get; set; }

        
    }
}
