﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.CRM
{
    public class BPA_AfterSalesLog
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();

        /// <summary>
        /// 售后id
        /// </summary>
        public string AfterSalesApplicationId { get; set; }

        public string Desc { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime UpdatedAt { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime CreatedAt { get; set; } = DateTime.Now;

        /// <summary>
        /// 创建人
        /// </summary>
        //[SugarColumn(IsNullable = true)]
        public string CreatedBy { get; set; }

        public string GroupId { get; set; }

        // /// <summary>
        // /// 新增
        // /// </summary>
        // public virtual void Create()
        // {
        //     var userId = App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     this.Id = Guid.NewGuid().ToString();
        //     this.CreatedAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.CreatedBy = userId;
        //     }
        // }
        // /// <summary>
        // /// 修改
        // /// </summary>
        // public void Modify()
        // {
        //     var userId = App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     this.UpdatedAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.UpdatedBy = userId;
        //     }
        // }
    }
}