﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.CRM
{
    /// <summary>
    /// 优惠卷记录与区域店铺供应商关联关系表
    /// </summary>
    [SugarTable("BPA_CouponGoodsRelations")]
    public class BPA_CouponGoodsRelations : BaseGroupIdEntity
    {
        /// <summary> 
        /// 范围Id 
        /// </summary> 
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Coupon_Range_Id { get; set; }

        /// <summary>
        /// 商品Id
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string GoodsId { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(255)", IsNullable = true)]
        public string Remark { get; set; }

        // /// <summary>
        // /// 新增
        // /// </summary>
        // public void Create()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     this.Id = Guid.NewGuid().ToString();
        //     this.CreateAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.CreateBy = userId;
        //     }
        // }
    }
}