﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Device
{

    ///<summary>
    ///设备商品表   
    ///</summary>
    [SugarTable("BPA_DeviceFood")]
    public class BPA_DeviceFood : BaseGroupIdEntity
    {

        /// <summary>
        /// 设备id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string DeviceId { get; set; }

        /// <summary>
        /// 菜品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodId { get; set; }
    }
}
