﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Device
{

    /// <summary>
    /// 店铺信息
    /// </summary>
    [SugarTable("BPA_DeviceInfo")]
    public class BPA_DeviceInfo : BaseGroupIdEntity
    {

        /// <summary> 
        ///  
        /// </summary> 
        public string DeviceName { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string DeviceAddr { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string DeviceLoc { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string DeviceTypeId { get; set; }
        /// <summary>
        /// 所属机构
        /// </summary>
        public string OrgId { get; set; }

        public string DeviceTypeKey { get; set; }
        public bool CheckStock { get; set; } = false;

        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true)]
        public int AutoKey { get; set; }
    }
}
