﻿using BPA.Common.Enums.CRM;
using BPA.SaaS.Stock.Api.Entity.Goods;

namespace BPA.SaaS.Stock.Api.Entity.Franchisee
{
    /// <summary>
    /// 商品返回值
    /// </summary>
    public class BPA_GoodsVo : AbstractEntity
    {
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           

        public string  Code { get; set; }
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Name { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public decimal Price { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ImgUrl { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public EnumCommonStatus Status { get; set; }
        /// <summary>
        /// 商品类型主键
        /// </summary>
        public string GoodsTypeId { get; set; }


        /// <summary> 
        ///  口味
        /// </summary> 
        public string TasteID { get; set; }

        /// <summary> 
        ///  大类
        /// </summary> 
        public string ParentTypeID { get; set; }
        /// <summary>
        /// 商品原料清单
        /// </summary>
        public List<BPA_GoodsBatching> GoodsBoms { get; set; }
        /// <summary>
        /// 商品类型名称
        /// </summary>
        public string GoodsTypeName { get; set; }
    }
}
