﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    ///商品表
    ///</summary>
    [SugarTable("BPA_AddGoods")]
    public partial class BPA_AddGoods : BaseGroupIdEntity
    {

        /// <summary> 
        ///  商品id
        /// </summary> 
        public string GoodsId { get; set; }
        /// <summary> 
        ///  加购商品id
        /// </summary> 
        public string AddGoodsId { get; set; }
        /// <summary> 
        ///  店铺id
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary>
        /// 价格
        /// </summary>
        public decimal Price { get; set; }
    }
}