﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    ///配方主表   
    ///</summary>
    [SugarTable("BPA_BOM")]
    public partial class BPA_BOM : BaseGroupIdEntity
    {

        /// <summary>
        /// 配方名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        /// 配方编码
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(50)", IsNullable = false)]
        public string Code { get; set; }
        /// <summary>
        /// 1主料配方0 辅料配方
        /// </summary>           
        public bool IsMain { get; set; }


        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true)]
        public int AutoKey { get; set; }
        /// <summary>
        /// 配方数据
        /// </summary>
        public string BOMInfo { get; set; }
        

    }
}
