﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    ///商品配方表   
    ///</summary>
    [SugarTable("BPA_GoodsBatching")]
    public partial class BPA_GoodsBatching : BaseGroupIdEntity
    {
        // public string GroupId { get; set; } = App.User.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary>
        /// 商品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Goods_Id { get; set; }

        /// <summary>
        /// 配方原料编码
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(50)", IsNullable = false)]
        public string Batching_Id { get; set; }
        /// <summary>
        /// 配料类型编码
        /// </summary>           

        [SugarColumn(IsNullable = false)]
        public string BatchingType { get; set; }
        /// <summary>
        /// 配料类型名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(50)", IsNullable = false)]
        public string BatchingTypeName { get; set; }
        /// <summary>
        /// 是否可替换物料
        /// </summary>
        public bool IsReplace { get; set; }
        public bool IsMain { get; set; }

        public decimal BomQty { get; set; }
    }
}
