﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    ///商品配方推送   
    ///</summary>
    [SugarTable("BPA_GoodsBomPush")]
    public partial class BPA_GoodsBomPush : BaseGroupIdEntity
    {
        /// <summary> 
        ///  店铺id
        /// </summary> 
        public string Store_Id { get; set; }

        /// <summary> 
        ///  0 辅料 1 主料
        /// </summary> 
        public bool IsMain { get; set; }

        /// <summary> 
        ///  推送内容
        /// </summary> 
        public string Payload { get; set; }
    }

    ///<summary>
    ///基础信息下发   
    ///</summary>
    [SugarTable("BPA_StorePush")]
    public partial class BPA_StorePush : BaseEntity
    {
        /// <summary> 
        ///  店铺id
        /// </summary> 
        public string Store_Id { get; set; }

        /// <summary> 
        ///  推送内容
        /// </summary> 
        public string Payload { get; set; }

        public string Topic { get; set; }

        //0主料推送,1辅料推送
        public int PushType { get; set; }
        public int StoreAutoKey { get; set; }
    }
}