﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{

    ///<summary>
    ///商品配方替换表   
    ///</summary>
    [SugarTable("BPA_GoodsBomReplace")]
    public class BPA_GoodsBomReplace : BaseGroupIdEntity
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string ItemId { get; set; }
        /// <summary>
        /// 可替换物料id
        /// </summary>
        public string ReplaceId { get; set; }
        /// <summary>
        /// 商品配方id
        /// </summary>
        public string GoodsBomId { get; set; }
        /// <summary>
        /// 价格
        /// </summary>
        public decimal Price { get; set; }
    }
}
