﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Member
{
    /// <summary>
    /// 会员积分
    /// </summary>
    [SugarTable("BPA_MemberIntegralRecord")]
    public class BPA_MemberIntegralRecord: Entity
    {

        public string MemberId { get; set; }

        /// <summary>
        /// 变更前
        /// </summary>
        public decimal BeforeChange { get; set; }

        /// <summary>
        /// 变更后
        /// </summary>
        public decimal AfterChange { get; set; }
        /// <summary>
        /// 1增加   2减少
        /// </summary>
        public int Type { get; set; }

        public string Remarks { get; set; }

        public decimal Integral { get; set; }
    }
}
