﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Mini
{
    [SugarTable("BPA_OrderInfo")]
    public class BPA_OrderInfo : BaseGroupIdEntity
    {
        /// <summary>
        /// 
        /// </summary>
        public string Customer_ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int Order_Count { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int PayMode { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public DateTime Order_CreateTime { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public DateTime Order_EndTime { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int Order_Status { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public decimal Order_OriginalMoney { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public decimal Order_RealMoney { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int IsError { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string ErrorDescription { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Order_Number { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Order_SortID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Transaction_ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Trade_no { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int IsSynced { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public TimeSpan UpdateTs { get; set; }

        /// <summary>
        /// 0->正常 1->立即吃面2->盲盒3->其他
        /// </summary>
        public int PlaceMode { get; set; }

    }
}
