﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{
    /// <summary>
    /// 数据字典
    /// </summary>
    [SugarTable("BPA_Dict_Data")]
    public class BPA_Dict_Data : Entity
    {
        /// <summary>
        /// 字典类型
        /// </summary>
        public string TypeId { get; set; }
        /// <summary>
        /// 字典值
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)")]
        public string Value { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)")]
        public string Code { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(200)")]
        public string Remark { get; set; }
    }
}
