﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Store
{
    /// <summary>
    /// 桌面码归属店铺
    /// </summary>
    [SugarTable("BPA_StoreDesktopNumber")]
    public  class BPA_StoreDesktopNumber : BaseGroupIdEntity
    {
        /// <summary>
        /// 桌面编号
        /// </summary>
        public string DesktopNumberId { get; set; }

        /// <summary>
        /// 店铺
        /// </summary>
        public string StoreId { get; set; }
    }
}
