﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Store
{

    /// <summary>
    /// 店铺信息
    /// </summary>
    [SugarTable("BPA_StoreInfo")]
    public class BPA_StoreInfo : BaseGroupIdEntity
    {

        /// <summary> 
        ///  
        /// </summary> 
        public string Store_Name { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_Addr { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_Tel { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_Cadre { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public int Store_Status { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_ImgUrl { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_LoginName { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_Pwd { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_Loc { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_TypeId { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Store_LevelId { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public int IsDeleted { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public DateTime DeleteUpdateTime { get; set; }
        /// <summary> 
        ///  
        /// </summary> 
        public string Key { get; set; }
        /// <summary>
        /// 所属机构
        /// </summary>
        public string OrgId { get; set; }

        public string StoreTypeKey { get; set; }

        [SugarColumn(IsOnlyIgnoreInsert = true, IsOnlyIgnoreUpdate = true)]
        public int AutoKey { get; set; }
    }
}
