﻿using BPA.Component.DbClient;
using BPA.SaaS.Stock.Api.Model;
using Microsoft.Extensions.Logging;

namespace BPA.SaaS.Stock.Api.Repository;

public class StockDbSugarClient : BaseDbClient<StockDbSugarClient>
{
    public StockDbSugarClient(ILogger<StockDbSugarClient> logger, StockWebApiConfig config)
        : base(BuildConnectionConfig(config.SqlServerDb, config.DbType),
            config.IsLogSql,
            logger)
    {
    }
}