﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Stock.Api.DTO.ERP.Entities;
using BPA.SaaS.Stock.Api.DTO.ERP.Product;
using BPA.SaaS.Stock.Api.IRepository.Product;
using BPA.SaaS.Stock.Api.IService.ERP.Product;

namespace BPA.SaaS.Stock.Api.Service.Product;

public class ProductCodeService : IProductCodeService
{
    private readonly IProductCodeRepository _productCodeRepository;

    public ProductCodeService(IProductCodeRepository productCodeRepository)
    {
        _productCodeRepository = productCodeRepository;
    }

    public Task<BaseResultPage<ProductCodeDto>> GetProductList(ProductCodeListQuery dto)
    {
        return _productCodeRepository.GetProductList(dto);
    }
}