﻿namespace BPA.SaaS.Stock.Api.DTO.Basic.Auth
{
    public class MenusInput
    {
        public string Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 路由
        /// </summary>
        public string Routes { get; set; }
        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { get; set; }
        /// <summary>
        /// 是否父级菜单
        /// </summary>
        public bool IsParent { get; set; }
        /// <summary>
        /// 路劲
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 菜单Id
        /// </summary>
        public string ChildId { get; set; }
    }

    public class RoutesItemDto
    {
        /// <summary>
        /// 系统登录
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Component { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Access { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<RoutesItemDto> Routes { get; set; }
    }
    public class DataItemDto
    {
        /// <summary>
        /// 
        /// </summary>
        public string Component { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Icon { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public List<RoutesItemDto> Routes { get; set; }
    }

    public class TreeDTO
    {
        public string Title { get; set; }
        public string Key { get; set; }
        public string Icon { get; set; }
        public List<TreeDTO> Children { get; set; }
    }
    public class Sync { 
     public string Json { get; set; }
    }
}
