﻿namespace BPA.SaaS.Stock.Api.DTO.Basic.Company
{
    /// <summary>
    /// 
    /// </summary>
    public class CompanyDtoPageInput : PageInputBase
    {
        /// <summary>
        /// 企业名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 管理员名称
        /// </summary>
        public string AdminName { get; set; }
        /// <summary>
        /// 电子邮箱
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// 电话
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 企业类型（0,平台，1，供应商，2，加盟商 ）
        /// </summary>
        public string CompanyType { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }

        /// <summary>
        /// 物料状态
        /// </summary>
        public string Status { get; set; }

        public int SettlementCycles { get; set; }
    }
}
