﻿namespace BPA.SaaS.Stock.Api.DTO.Basic.Dict
{
    /// <summary>
    /// 字典信息查询
    /// </summary>
    public class DictDataQueryDto : PageInputBase
    {
        /// <summary>
        /// Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 字典类型编号
        /// </summary>
        public string TypeId { get; set; }
        /// <summary>
        /// 字典类型名称
        /// </summary>
        public string  TypeName { get; set; }
        /// <summary>
        /// 字典值
        /// </summary>
        public string  Value { get; set; }
        /// <summary>
        /// 字典编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string  Remark { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string  Status { get; set; }
        /// <summary>
        /// 字典创建者
        /// </summary>
        public string CreateBy { get; set; }
        /// <summary>
        /// 字典创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 字典创建时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }
    }
}
