﻿namespace BPA.SaaS.Stock.Api.DTO.Basic.Menu
{
    public class MenuRouteDtoOutput
    {

        public string Id { get; set; }
        /// <summary>
        /// 组件
        /// </summary>
        public string Component { get; set; }
        /// <summary>
        /// 路劲
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 路由
        /// </summary>
        public List<MenuRouteChildDtoOutput> Routes { get; set; }
    }

    public class MenuRouteChildDtoOutput
    {
        public string Id { get; set; }
        /// <summary>
        /// 组件
        /// </summary>
        public string Component { get; set; }
        /// <summary>
        /// 路劲
        /// </summary>
        public string Path { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 路由
        /// </summary>
        public List<MenuRouteChildDtoOutput> Routes { get; set; }
    }
}
