﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityInfo
{
    /// <summary>
    /// ActivityInfoDto
    /// </summary>
    public class ActivityInfoDto
    {
        /// <summary> 
        ///  
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        /// 活动名称 
        /// </summary> 
        public string ActivityName { get; set; }
        /// <summary> 
        /// 活动图片 
        /// </summary> 
        public string ActivityImg { get; set; }
        /// <summary> 
        /// 活动备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary> 
        /// 活动类型1.送券  2.送钱  3.特价商品   4.
        /// </summary> 
        public int ActivityType { get; set; }
        /// <summary> 
        /// 活动开始时间 
        /// </summary> 
        public DateTime ActivityStartTime { get; set; }
        /// <summary> 
        /// 活动结束时间 
        /// </summary> 
        public DateTime ActivityEndTime { get; set; }
        /// <summary> 
        /// 状态 
        /// </summary> 
        public int Status { get; set; }
        /// <summary> 
        /// 是否删除 
        /// </summary> 
        public int IsDeleted { get; set; }
      
        /// <summary> 
        /// 活动规则说明 
        /// </summary> 
        public string ActivityRule { get; set; }
        /// <summary> 
        /// 客户端页面是否显示 
        /// </summary> 
        public int isShow { get; set; }
        /// <summary> 
        /// 是否自动发送(后台发送) 
        /// </summary> 
        public int isAutoSend { get; set; }

        
        public List<ActivityRewardInfoDto> activityRewards { get; set; }

    }
}
