﻿using System.ComponentModel.DataAnnotations;

namespace BPA.SaaS.Stock.Api.DTO.CRM.Coupon
{
    public class CustomerCouponBaseDto
    {
        /// <summary>
        /// 顾客优惠劵Id
        /// </summary>
        [Required]
        public string CustomerCouponId { get; set; }

        /// <summary>
        /// 订单Id
        /// </summary>
        [Required]
        public string OrderId { get; set; }

        /// <summary>
        /// 优惠券Id
        /// </summary>
        public string CouponId { get; set; }

        /// <summary>
        /// 客户Id
        /// </summary>
        public string CustomerId { get; set; }

        /// <summary>
        /// 店铺Id
        /// </summary>
        [Required]
        public List<string> StoreId { get; set; }

        /// <summary>
        /// 商品Id
        /// </summary>
        public List<string> GoodsId { get; set; }

        // TODO:MOD
        // /// <summary>
        // /// 优惠券状态
        // /// </summary>
        // [Required]
        // [CustomValidation(typeof(DtoValidator), "CouponUseType")]
        // public EnumCouponUseType UseType { get; set; }

        /// <summary>
        /// 下单时间
        /// </summary>
        [Required]
        public DateTime OrderTime { get; set; }
    }
}