﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Coupon
{
    public class CustomerCouponDto
    {
        /// <summary>
        /// 客户Id
        /// </summary>
        public string Customer_Id { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string Order_Id { get; set; }
        /// <summary>
        /// 领取方式(1.小程序领取 2.线下门店扫码 3.活动自动下发  4.好友分享领取)
        /// </summary>
        public int Receive_Type { get; set; }
        /// <summary>
        /// 优惠券Id
        /// </summary>
        public string Coupon_Id { get; set; }
        /// <summary>
        /// 店铺Id 领券的时候不用填写
        /// </summary>
        public string Store_Id { get; set; }
        /// <summary>
        /// 状态（1:未使用 2.已核销 3.占用中 4.失效）领取的时候不填写
        /// </summary>
        public int State { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime Valid_StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime Valid_EndTime { get; set; }
        /// <summary>
        /// 核销时间
        /// </summary>
        public DateTime? WriteOffTime { get; set; }
        /// <summary>
        /// 范围Id
        /// </summary>
        public string Coupon_Range_Id { get; set; }
        /// <summary>
        /// 用户手机号
        /// </summary>
        public string CustomerPhone { get; set; }
    }
}
