using BPA.Common.Enums.CRM.Coupon;

namespace BPA.SaaS.Stock.Api.DTO.CRM.Coupon;

public class CustomerCouponInputDto
{
    /// <summary>
    /// 客户Id
    /// </summary>
    public List<string> MemberId { get; set; }
    /// <summary>
    /// 优惠卷Id
    /// </summary>
    public string CouponId { get; set; }
    /// <summary>
    /// 范围ID(批次号信息)
    /// </summary>
    public string CouponRangeId { get; set; }

    public EnumCouponGitType? CouponGitType { get; set; } = EnumCouponGitType.Specify;
}