﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Coupon
{

    /// <summary>
    /// 
    /// </summary>
  public  class PageCouponInputDto : PageInputBase
    {

        /// <summary>
        /// 优惠卷名称
        /// </summary>
        public string CouponTitle { get; set; }

        /// <summary>
        /// 优惠卷类型
        /// </summary>
        public int CouponType { get; set; }

        /// <summary>
        /// 优惠卷金额
        /// </summary>
        public decimal CouponValue { get; set; }

        /// <summary>
        ///使用金额
        /// </summary>
        public decimal Condition { get; set; }

        /// <summary>
        /// 时间类型
        /// </summary>
        public  int TimeType { get; set; }

        public  int GetLimit { get; set; }


        /// <summary>
        /// 固定期限
        /// </summary>
        public  int ValidFixedTerm { get; set; }

        public  DateTime? ValidStartTime { get; set; }

        public DateTime? ValidEndTime { get; set; }

        public DateTime? CreateAt { get; set; }


        /// <summary>
        /// 状态
        /// </summary>

        public  int ValidStatus { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public decimal Remarks { get; set; }


    }
}
