﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Member
{
  public  class PlatformMemberInfoInputDto
  {
      /// <summary> 
      ///  
      /// </summary> 
      public string NickName { get; set; } = "";

      /// <summary> 
      /// 0=未知   1=男    2=女 
      /// </summary>
      public int? Sex { get; set; } = 0;
        /// <summary> 
        /// 头像 
        /// </summary> 
        public string HeadImgUrl { get; set; }="";
        /// <summary> 
        /// 国家 
        /// </summary> 
        public string Country { get; set; }
        /// <summary> 
        /// 省 
        /// </summary> 
        public string Province { get; set; }
        /// <summary> 
        /// 市 
        /// </summary> 
        public string City { get; set; }
        /// <summary> 
        /// 县（区） 
        /// </summary> 
        public string County { get; set; }
        /// <summary> 
        /// 具体地址 
        /// </summary> 
        public string Address { get; set; }
        /// <summary> 
        /// 出生日期 
        /// </summary> 
        public DateTime? Birthday { get; set; }
        /// <summary> 
        /// 电话 
        /// </summary> 
        public string Phone { get; set; }
        /// <summary> 
        /// 真实姓名 
        /// </summary> 
        public string RealName { get; set; }
        /// <summary> 
        /// 身份证号码 
        /// </summary> 
        public string CardNum { get; set; }
        /// <summary> 
        /// 第三方平台会员ID 
        /// </summary> 
        public string PlatformMemberId { get; set; }
       
        public string GroupId { get; set; }
        }
}
