﻿
namespace BPA.SaaS.Stock.Api.DTO.ERP.Store.StoreHelper
{
    public class StoreTypeVM
    {


        /// <summary>
        /// 店铺区域
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 店铺区域id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 商户下商品信息
        /// </summary>
        public List<StoreInfoVM> storeInfo { get; set; }

    }
    public class StoreInfoVM
    {


        /// <summary>
        /// 店铺
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>
        public string Id { get; set; }

        public string Store_Addr { get; set; }

        public string Store_Loc { get; set; }

    }
    public class StoreVM
    {

        public StoreVM()
        {
            goodsdata = new List<GoodVM>();
        }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string title { get; set; }
        /// <summary>
        /// 商品id
        /// </summary>
        public string typeid { get; set; }
        /// <summary>
        /// 商户下商品信息
        /// </summary>
        public List<GoodVM> goodsdata { get; set; }


    }
    /// <summary>
    /// 组装点餐页面数据
    /// </summary>
    public class FoodlistVM
    {
        public FoodlistVM()
        {
            typedata = new List<GoodsTypeVM>();
            goodslist = new List<GoodVM>();
            storeType = new List<StoreTypeVM>();
            goodVMLists = new List<GoodVMList>();
        }
        /// <summary>
        /// 总销量
        /// </summary>
        public string monthlySales { get; set; }
        /// <summary>
        /// 点餐类型
        /// </summary>
        public List<GoodsTypeVM> typedata { get; set; }
        /// <summary>
        /// 点餐数据
        /// </summary>
        public List<GoodVM> goodslist { get; set; }

        public List<int> goodscount { get; set; }


        public List<StoreTypeVM> storeType { get; set; }

        public List<GoodVMList> goodVMLists { get; set; }

        public class BomItmType
        {
            public string Name { get; set; }
            public bool alltype { get; set; } = false;
            public string BatchingType { get; set; }
            public List<Items> data { get; set; }

        }
    }
}
