﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Amount
{
    public class RefundLogQueryDto : PageInputBase
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 订单号
        /// </summary> 
        public string OrderNumId { get; set; }
        /// <summary>
        /// 是否退款
        /// </summary>
        public bool IsRefund { get; set; }


        /// <summary>
        /// 退款原因
        /// </summary>           
        public string Remark { get; set; }
        public string Trade_no { get; set; }
        public DateTime? CreateTime { get; set; }
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 退款类型
        /// </summary>           
        public int RefundType { get; set; }
        /// <summary>
        /// 客户单号
        /// </summary>           
        public string OrderCustomerNumId { get; set; }
        /// <summary>
        /// 退款状态
        /// </summary>
        public string Status { get; set; }
    }
}
