﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Device
{
    public class DeviceGoodsQueryInputDto : PageInputBase
    {

        public string DeviceId { get; set; }

    }
    public class DeviceGoodsInputDto
    {

        /// <summary>
        /// 商品菜品id
        /// </summary>           
        public List<Foods> Foodss { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>           
        public string DeviceId { get; set; }
    }
    /// <summary>
    /// 商品菜品id
    /// </summary>
    public class Foods
    {
        public string FoodId { get; set; }
    }
    /// <summary>
    /// StoreBatchingDto
    /// </summary>
    public class DeviceStockDto
    {

        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
        /// <summary> 
        /// 店铺 
        /// </summary> 
        public string DeviceId { get; set; }
        /// <summary> 
        /// 物料 
        /// </summary> 
        public string Batching_Id { get; set; }
        /// <summary> 
        /// 物料数量 
        /// </summary> 
        public int Batching_Count { get; set; }
        /// <summary> 
        /// 库存位置 
        /// </summary> 
        public string Batching_Loc { get; set; }

        /// <summary>
        /// 是否同步
        /// </summary>
        public int Synchronize { get; set; }

        /// <summary>
        /// 之前数量
        /// </summary>
        public int BeforeNum { get; set; }
    }
}
