﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Device
{
    /// <summary>
    /// 商品配方获取
    /// </summary>
    public class GoodsBomDto
    {
        public int GoodId { get; set; }
        public List<GoodsDto> goodsItems { get; set; }
    }
    public class GoodsDto
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public int ItemId { get; set; }
        /// <summary>
        /// 物料用量
        /// </summary>
        public int BomQty { get; set; }

    }
    /// <summary>
    /// 辅料位置排序
    /// </summary>
    public class IngredientsDto
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string ItemId { get; set; }
        /// <summary>
        /// 物料位置
        /// </summary>
        public string Loc { get; set; }
    }
    public class BatchingCountDto
    {
        public List<BatchingsItemDto> Batchings { get; set; }
    }
    public class BatchingsItemDto
    {
        public string Loc { get; set; }

        public int Count { get; set; }
    }
}
