﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.GoodsBom
{
    public class AddBomInputDto
    {
        /// <summary>
        /// 商品id
        /// </summary>           
        public string GoodsId { get; set; }

        /// <summary>
        /// 配方id
        /// </summary>           
        public string BomId { get; set; }

        public EnumCommonStatus Status { get; set; } = EnumCommonStatus.ENABLE;
    }
    public class GetBomInputDto
    {
        /// <summary>
        /// 商品id
        /// </summary>           
        public string GoodsId { get; set; }

        public bool IsMain { get; set; }
    }
    public class BomEnableInputDto
    {
        /// <summary>
        /// 商品id
        /// </summary>           
        public string Id { get; set; }

        public bool IsReplace { get; set; }
    }
}