﻿using System.ComponentModel.DataAnnotations;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.GoodsBom
{
    /// <summary>
    /// 商品原料清单bom
    /// </summary>
    public class GoodsBomReplace
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        [Required]
        public string ItemId { get; set; }
        /// <summary>
        /// 可替换物料id
        /// </summary>
        [Required]
        public string ReplaceId { get; set; }
        /// <summary>
        /// 商品配方id
        /// </summary>
        [Required]
        public string GoodsBomId { get; set; }
        /// <summary>
        /// 价格
        /// </summary>
        [Required]
        public decimal Price { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }

    }
}
