﻿namespace BPA.SaaS.Stock.Api.DTO.Franchisee.GoodsBom
{
    public class GoodsBomReplaceQuery : PageInputBase
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        public string ItemId { get; set; }
        /// <summary>
        /// 可替换物料id
        /// </summary>
        public string ReplaceId { get; set; }
        /// <summary>
        /// 商品配方id
        /// </summary>
        public string GoodsBomId { get; set; }
        /// <summary>
        /// 价格
        /// </summary>
        public decimal Price { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>

        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>           

        public string ItemName { get; set; }
    }
}
