﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Store
{
    public class StoreGoodsBaseDto
    {
        /// <summary> 
        ///  id
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        ///  商品菜品id
        /// </summary> 
        public string FoodId { get; set; }
        /// <summary> 
        ///  门店
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        ///  菜谱id
        /// </summary> 
        public string FoodMenuId { get; set; }

        /// <summary> 
        ///  
        /// </summary> 
        public string Goods_Name { get; set; }
        /// <summary> 
        ///  价格
        /// </summary> 
        public decimal Price { get; set; }
        /// <summary> 
        ///  是否设备制作
        /// </summary> 
        public int IsDevice { get; set; }
        public string GoodsId { get; set; }
        public EnumCommonStatus Status { get; set; }
    }
}
