﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Activity
{
    /// <summary>
    /// 活动参与记录表
    /// </summary>
    [SugarTable("BPA_ActivityParticipationRecord")]
    public class BPA_ActivityParticipationRecord : BaseGroupIdEntity
    {
        /// <summary>
        /// 客户编号
        /// </summary>
        public string Customer_Id { get; set; }
        /// <summary>
        /// 活动编号
        /// </summary>
        public string Activity_Id { get; set; }
        /// <summary>
        /// 会员电话
        /// </summary>
        public string TelePhone { get; set; }

        /// <summary>
        /// 活动阶段
        /// </summary>
        public string ActivityStage { get; set; }
    }
}
