﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Activity
{
    [SugarTable("BPA_ActivityReward")]
    public class BPA_ActivityReward: BaseGroupIdEntity
    {
        /// <summary> 
        /// 活动Id 
        /// </summary> 
        public string ActivityInfo_Id { get; set; }
        /// <summary> 
        /// 活动类型：1.送券 
        /// </summary> 
        public int ActivityType { get; set; }
        /// <summary> 
        /// 奖励值 (前边的集体或者具体指)
        /// </summary> 
        public string RewardValue { get; set; }


        /// <summary>
        /// 奖励数量（）后面的具体奖励或者数量
        /// </summary>
        public object Value { get; set; }
    }
}
