﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity
{
    /// <summary>
    /// 基础类型
    /// </summary>
    public abstract class BaseEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();
    }
}