﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.CRM
{
    ///<summary>
    ///退款记录表
    ///</summary>
    [SugarTable("BPA_RefundLog")]
    public partial class BPA_RefundLog : BaseGroupIdEntity
    {
        public BPA_RefundLog()
        {
        }

        /// <summary>
        /// 订单号
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string OrderNumId { get; set; }

        /// <summary>
        /// 是否退款
        /// </summary>

        [SugarColumn(IsNullable = false)]
        public bool IsRefund { get; set; }


        /// <summary>
        /// 退款原因
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = true)]
        public string Remark { get; set; }

        /// <summary>
        /// 退款类型
        /// </summary>           
        public int RefundType { get; set; }

        /// <summary>
        /// 客户单号
        /// </summary>           
        public string OrderCustomerNumId { get; set; }

        /// <summary>
        /// 交易单号
        /// </summary>           
        public string Trade_no { get; set; }
    }
}