﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Food
{
    ///<summary>
    ///菜品关联菜谱表   
    ///</summary>
    [SugarTable("BPA_FoodMenu")]
    public class BPA_FoodMenu : BaseGroupIdEntity
    {

        /// <summary>
        /// 商品菜品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string GoodsId { get; set; }

        /// <summary>
        /// 菜谱信息表
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodMenuId { get; set; }
    }
}
