﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Food
{
    ///<summary>
    ///菜谱信息表   
    ///</summary>
    [SugarTable("BPA_FoodMenuInfo")]
    public class BPA_FoodMenuInfo : BaseGroupIdEntity
    {

        /// <summary>
        /// 菜谱编码
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(20)", IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        /// 菜谱名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = false)]
        public string Name { get; set; }
    }
}
