﻿namespace BPA.SaaS.Stock.Api.Entity.Franchisee
{
    /// <summary>
    /// 商品物料清单回显数据类
    /// </summary>
    public class BPA_GoodsBomVo : AbstractEntity
    {        /// <summary>
             /// Desc:商品主键
             /// Default:
             /// Nullable:True
             /// </summary>           
        public string Goods_Id { get; set; }
        /// <summary>
        /// 原料名称
        /// </summary>
        public string StockGoodsName { get; set; }

        /// <summary>
        /// Desc 物料代码:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string StockGoodsCode { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 配料类型编码
        /// </summary>           
        public string BatchingType { get; set; }
        /// <summary>
        /// 配料类型名称
        /// </summary>           

        public string BatchingTypeName { get; set; }
        /// <summary>
        /// 是否可替换物料
        /// </summary>
        public bool isReplace { get; set; }


    }
}
