﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    ///配方子表   
    ///</summary>
    [SugarTable("BPA_BOMEntry")]
    public partial class BPA_BOMEntry : BaseGroupIdEntity
    {

        /// <summary>
        /// 物料id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string BatchingId { get; set; }
        /// <summary>
        /// 物料intid
        /// </summary>
        public long BatchingKey { get; set; }
        /// <summary>
        /// 配方用量
        /// </summary>
        public int BomQty { get; set; }

        /// <summary>
        /// 配方id
        /// </summary>
        public string BomId { get; set; }
        /// <summary>
        /// 是否可替换
        /// </summary>
        public bool IsReplace { get; set; }

    }
}
