﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    ///商品分类
    ///</summary>
    [SugarTable("BPA_GoodsType")]
    public partial class BPA_GoodsType : BaseGroupIdEntity
    {
        public BPA_GoodsType()
        {


        }

        /// <summary>
        /// 分类名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(200)", IsNullable = false)]
        public string GoodsType_Name { get; set; }

        public int GoodsType_Sort { get; set; }


        /// <summary>
        /// 备注
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = true)]
        public string Remark { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string NotifyType { get; set; }

        public string PId { get; set; }

    }
}
