﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Goods
{
    ///<summary>
    /// 商品单位
    ///</summary>
    [SugarTable("BPA_GoodsUint")]
    public partial class BPA_GoodsUint : BaseGroupIdEntity
    {
        public BPA_GoodsUint()
        {


        }
        /// <summary>
        /// 单位名称
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(200)", IsNullable = false)]
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = true)]
        public string Remark { get; set; }
    }
}
