﻿using BPA.Common.Enums.CRM;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Member
{
    /// <summary>
    /// 平台会员标签
    /// </summary>
    [SugarTable("BPA_MemberTagInfo")]
    public class BPA_MemberTagInfo : BaseGroupIdEntity
    {
        /// <summary>
        /// 会员标签Id
        /// </summary>
        public string MemberTag_Id { get; set; }

        /// <summary>
        /// 会员编号
        /// </summary>
        public string MemberInfo_Id { get; set; }

        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        public EnumPlatformType PlatformType { get; set; }
    }
}