﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Printer
{
    /// <summary>
    /// 打印机模板
    /// </summary>
    [SugarTable("BPA_PrinterTemplate")]
    public class BPA_PrinterTemplate: BaseGroupIdEntity
    {

        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "标题", IsNullable = false)]
        public string Title { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "副标题", IsNullable = true)]
        public string Subtitle { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "说明（欢迎语）", IsNullable = true)]
        public string Explain { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "结束语", IsNullable = true)]
        public string Footer { get; set; }

        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否显打印时间", IsNullable = false)]
        public bool IsShowPrintTime { get; set; }
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否显示单号", IsNullable = false)]
        public bool IsShowNumber { get; set; }
    }
}
