﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Split
{
    /// <summary>
    /// 分账方账户明细表
    /// </summary>
    [SugarTable("BPA_SplitAccountDetails")]
    public class BPA_SplitAccountDetails : BaseGroupIdEntity
    {

        /// <summary>
        /// 方案id
        /// </summary>
        public string PlanId { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>
        public string StoreId { get; set; }
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
    }
}
