﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Split
{
    [SugarTable("BPA_SplitPlan")]
    public class BPA_SplitPlan : BaseGroupIdEntity
    {
        /// <summary> 
        /// 方案名称 
        /// </summary> 
        public string PlanName { get; set; }
        /// <summary> 
        /// 开始时间 
        /// </summary> 
        public string PlanStartTime { get; set; }
        /// <summary> 
        /// 结束时间 
        /// </summary> 
        public string PlanEndTime { get; set; }

        /// <summary>
        /// 手续费（服务费）比例
        /// </summary>
        public string ServiceFee { get; set; }

        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }

    }
}
