﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Split
{
    [SugarTable("BPA_SplitPlan_Franchisee")]
    public class BPA_SplitPlan_Franchisee : Entity
    {
        /// <summary> 
        /// 方案名称 
        /// </summary> 
        public string PlanName { get; set; }
        /// <summary> 
        /// 开始时间 
        /// </summary> 
        public DateTime PlanStartTime { get; set; }
        /// <summary> 
        /// 结束时间 
        /// </summary> 
        public DateTime PlanEndTime { get; set; }

        /// <summary>
        /// 手续费（服务费）比例
        /// </summary>
        public string ServiceFee { get; set; }

        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 账期
        /// </summary>
        public int AccountDay { get; set; }

    }
}
