﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Stock.Api.DTO.ERP.Entities;
using BPA.SaaS.Stock.Api.DTO.ERP.Product;

namespace BPA.SaaS.Stock.Api.IService.ERP.Product;

public interface IProductCodeService
{
    /// <summary>
    /// 获取产品Code列表
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    Task<BaseResultPage<ProductCodeDto>> GetProductList(ProductCodeListQuery dto);
}