﻿namespace BPA.SaaS.Stock.Api.Service.SimpleJWT;

internal sealed class MultiClaimsDictionaryComparer : IEqualityComparer<string>
{
    /// <summary>设置字符串永不相等</summary>
    /// <param name="x"></param>
    /// <param name="y"></param>
    /// <returns></returns>
    public bool Equals(string x, string y) => x != y;

    /// <summary>返回字符串 hashCode</summary>
    /// <param name="obj"></param>
    /// <returns></returns>
    public int GetHashCode(string obj) => obj.GetHashCode();
}